<div class="col-md-10 col-sm-11">
  <!--<button type="button" class="slide-toggle">Slide Toggle</button> -->
  <div class="main-dash-right">
    <app-generic-content-loader *ngIf="isLoadingJobList"></app-generic-content-loader>
    <div *ngIf="!isLoadingJobList">
      <div class="row">
        <div class="col-xs-12">
          <div class="title-heading">
            <h2>past work</h2>
          </div>
          <div class="title-heading">
            <h2 class="orangecolor margintop10">{{jobList.length}} past work</h2>
          </div>

        </div>

        <div class="col-sm-6 col-xs-12" *ngFor="let job of jobList">
          <div class="shadow_wrap margintop20 marginbottom10 pastworkwrap" [routerLink]="['../task-details/' + job._id]">
            <div class="col-sm-2 col-xs-12">
              <div class="clea-img">
                <img src="assets/images/dashboard/cleaning-services.png" alt="">
              </div>

            </div>
            <div class="col-xs-12 col-sm-7">
              <div class="title-heading">
                <h2>{{job.serviceName}} service</h2>
              </div>

              <div class="row">
                <div class="col-xs-6">
                  <div class="title-heading">
                    <span class="day-rate-wrap">For <strong> {{job.userName}}</strong></span>
                  </div>
                </div>

                <div class="col-xs-6">
                  <div class="title-heading">
                    <span class="day-rate-wrap">Rated</span>
                  </div>
                  <div class="stars-wrap">
                    <span class="fa fa-star" [ngClass]="{'checked': job.ratingGivenByCustomer > 0}"></span>
                    <span class="fa fa-star" [ngClass]="{'checked': job.ratingGivenByCustomer > 1}"></span>
                    <span class="fa fa-star" [ngClass]="{'checked': job.ratingGivenByCustomer > 2}"></span>
                    <span class="fa fa-star" [ngClass]="{'checked': job.ratingGivenByCustomer > 3}"></span>
                    <span class="fa fa-star" [ngClass]="{'checked': job.ratingGivenByCustomer > 4}"></span>
                  </div>
                </div>
              </div>
            </div>
            <div class="col-xs-12 col-sm-3">
              <div class="title-heading">
                <span class="day-rate-wrap">{{formatDate(job.endTime)}}</span>
              </div>
            </div>
          </div>
        </div>

      </div>
    </div>


  </div>
</div>
